TechSpot

Just a quick question

By merfman
Jul 18, 2008
  1. Hey everyone,

    I was going through my computer and getting rid of programs that i've downloaded and don't need anymore and i came across these list:
    -------------------------------------------------------------
    J2SE Runtime Environment 5.0 update 10
    J2SE Runtime Environment 5.0 update 3
    J2SE Runtime Environment 5.0 update 6

    Java 2 Runtime Environment, SE v1.4.2_03
    Java (TM) 6.0 update 4
    -------------------------------------------------------------
    Do i really need to have all of these programs, or am i able to only keep the most up to date one?

    thanks for any help
    merfman

    p.s. wasn't sure if this was the right place to put this or not.
     
  2. mailpup

    mailpup TS Special Forces Posts: 8,506   +238

    You normally only need to keep the latest version. Every time you install the latest version, Java does not uninstall the older versions. You have to do that manually. There could be rare cases of applications needing an older version to work properly but generally it's safe to uninstall the old ones.
     
  3. merfman

    merfman TS Rookie Topic Starter Posts: 71

    thanks mailpup, i removed them and it hasn't affected the newest version so i guess everything is alright.

    thanks for your help
     
  4. pyromaster114

    pyromaster114 TS Maniac Posts: 395

    yep, usually safe to uninstall older versions.
    Did run into a strange issue one time, but then I just uninstalled all of them and put the latest back on and it fixed it. No worries.
     
Topic Status:
Not open for further replies.


Add New Comment

TechSpot Members
Login or sign up for free,
it takes about 30 seconds.
You may also...


Get complete access to the TechSpot community. Join thousands of technology enthusiasts that contribute and share knowledge in our forum. Get a private inbox, upload your own photo gallery and more.